Bug 219635 - [NEW PORT] databases/postgresql-cstore_fdw: Columnar store for analytics with PostgreSQL
Summary: [NEW PORT] databases/postgresql-cstore_fdw: Columnar store for analytics with...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-29 13:57 UTC by Jov
Modified: 2017-06-13 10:31 UTC (History)
2 users (show)

See Also:


Attachments
postgresql95-cstore_fdw.shar (3.16 KB, text/plain)
2017-05-29 13:57 UTC, Jov
no flags Details
postgresql-cstore_fdw.shar (3.11 KB, text/plain)
2017-05-30 01:21 UTC, Jov
no flags Details
postgresql-cstore.shar (3.13 KB, text/plain)
2017-05-31 10:24 UTC, Jov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-29 13:57:07 UTC
Created attachment 183032 [details]
postgresql95-cstore_fdw.shar

Cstore_fdw is a extension of PostgreSQL. This extension uses the Optimized Row
Columnar (ORC) format for its data layout. ORC improves upon the RCFile format
developed at Facebook, and brings the following benefits:
	- Compression: Reduces in-memory and on-disk data size by 2-4x. Can be
	  extended to support different codecs.
	- Column projections: Only reads column data relevant to the query. 
	  Improves performance for I/O bound queries.
	- Skip indexes: Stores min/max statistics for row groups, and uses them
	  to skip over unrelated rows.
Further, cstore_fdw used the Postgres foreign data wrapper APIs and type
representations with this extension. This brings:
	- Support for 40+ Postgres data types. The user can also create new types
	  and use them.
	- Statistics collection. PostgreSQL's query optimizer uses these stats to
	  evaluate different query plans and pick the best one.
	- Simple setup. Create foreign table and copy data. Run SQL.

WWW: https://github.com/citusdata/cstore_fdw
Comment 1 Jov 2017-05-30 01:21:00 UTC
Created attachment 183048 [details]
postgresql-cstore_fdw.shar

make this port depends on the pgsql version user installed.
Comment 2 Jov 2017-05-31 10:24:06 UTC
Created attachment 183089 [details]
postgresql-cstore.shar

add WANT_PGSQL=	server,the USES pgsql:version only add client depend.
Comment 3 commit-hook freebsd_committer 2017-06-13 10:29:31 UTC
A commit references this bug:

Author: tz
Date: Tue Jun 13 10:28:31 UTC 2017
New revision: 443496
URL: https://svnweb.freebsd.org/changeset/ports/443496

Log:
  New port: databases/postgresql-cstore_fdw

  Cstore_fdw is a extension of PostgreSQL. This extension uses the Optimized Row
  Columnar (ORC) format for its data layout. ORC improves upon the RCFile format
  developed at Facebook, and brings the following benefits:
  	- Compression: Reduces in-memory and on-disk data size by 2-4x. Can be
  	  extended to support different codecs.
  	- Column projections: Only reads column data relevant to the query.
  	  Improves performance for I/O bound queries.
  	- Skip indexes: Stores min/max statistics for row groups, and uses them
  	  to skip over unrelated rows.
  Further, cstore_fdw used the Postgres foreign data wrapper APIs and type
  representations with this extension. This brings:
  	- Support for 40+ Postgres data types. The user can also create new types
  	  and use them.
  	- Statistics collection. PostgreSQL's query optimizer uses these stats to
  	  evaluate different query plans and pick the best one.
  	- Simple setup. Create foreign table and copy data. Run SQL.

  WWW: https://github.com/citusdata/cstore_fdw

  PR:           219635
  Submitted by: Jov <amutu@amutu.com>

Changes:
  head/databases/Makefile
  head/databases/postgresql-cstore_fdw/
  head/databases/postgresql-cstore_fdw/Makefile
  head/databases/postgresql-cstore_fdw/distinfo
  head/databases/postgresql-cstore_fdw/pkg-descr
  head/databases/postgresql-cstore_fdw/pkg-plist
Comment 4 Torsten Zuehlsdorff freebsd_committer 2017-06-13 10:31:07 UTC
Committed, thanks! :)